Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 562952 - app-portage/gentoolkit-0.3.0.9-r2 - `equery belongs` doesn't work if a package with an all-digits name is installed.
Summary: app-portage/gentoolkit-0.3.0.9-r2 - `equery belongs` doesn't work if a packag...
Status: IN_PROGRESS
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Tools (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage Tools Team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 346443
  Show dependency tree
 
Reported: 2015-10-12 18:00 UTC by eroen
Modified: 2015-10-27 22:18 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eroen 2015-10-12 18:00:40 UTC
This was run in a fresh stage3 chroot with app-portage/gentoolkit-0.3.0.9-r2 installed.

All digit package names are permitted by PMS[1]. emerge, repoman and q do not appear to have any trouble with it.

[1]: http://dev.gentoo.org/~ulm/pms/head/pms.html#x1-200003.1.2


occam / # equery b libz.so
 * Searching for libz.so ... 
sys-libs/zlib-1.2.8-r1 (/usr/lib64/libz.so)
occam / # mkdir -p /usr/local/portage/{metadata,profiles}
occam / # echo 'NameOfYourOverlay' > /usr/local/portage/profiles/repo_name
occam / # echo 'masters = gentoo' > /usr/local/portage/metadata/layout.conf
occam / # chown -R portage:portage /usr/local/portage
occam / # mkdir -p /etc/portage/repos.conf
occam / # cat > /etc/portage/repos.conf/local.conf <<EOF
> [NameOfYourOverlay]
> location = /usr/local/portage
> masters = gentoo
> auto-sync = no
> EOF
occam / # mkdir -p /usr/local/portage/app-misc/34
occam / # cat > /usr/local/portage/app-misc/34/34-0.ebuild <<EOF
> EAPI=5
> SLOT=0
> KEYWORDS=amd64
> EOF
occam / # pushd /usr/local/portage/app-misc/34
/usr/local/portage/app-misc/34 /
occam 34 # repoman manifest
>>> Creating Manifest for /usr/local/portage/app-misc/34
occam 34 # popd
/
occam / # equery b libz.so
 * Searching for libz.so ... 
sys-libs/zlib-1.2.8-r1 (/usr/lib64/libz.so)
occam / # emerge -v -1 app-misc/34

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] app-misc/34-0::NameOfYourOverlay  0 KiB

Total: 1 package (1 new), Size of downloads: 0 KiB


>>> Verifying ebuild manifests

>>> Emerging (1 of 1) app-misc/34-0::NameOfYourOverlay
>>> Unpacking source...
>>> Source unpacked in /var/tmp/portage/app-misc/34-0/work
>>> Preparing source in /var/tmp/portage/app-misc/34-0/work ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-misc/34-0/work ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/app-misc/34-0/work ...
>>> Source compiled.
>>> Test phase [not enabled]: app-misc/34-0

>>> Install 34-0 into /var/tmp/portage/app-misc/34-0/image/ category app-misc
>>> Completed installing 34-0 into /var/tmp/portage/app-misc/34-0/image/


>>> Installing (1 of 1) app-misc/34-0::NameOfYourOverlay
 * checking 0 files for package collisions
>>> Merging app-misc/34-0 to /
>>> app-misc/34-0 merged.
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.
occam / # equery b libz.so
!!! Invalid CPV: 'app-misc/34-0'
 * Searching for libz.so ... 
occam / #
Comment 1 eroen 2015-10-12 18:01:38 UTC
occam / # emerge --info '=app-portage/gentoolkit-0.3.0.9-r2::gentoo'
Portage 2.2.20.1 (python 3.4.3-final-0, default/linux/amd64/13.0, gcc-4.9.3, glibc-2.20-r2, 4.1.7-hardened-r1-occam1 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.1.7-hardened-r1-occam1-x86_64-Intel-R-_Core-TM-_i5-2520M_CPU_@_2.50GHz-with-gentoo-2.2
KiB Mem:     7938404 total,   1174768 free
KiB Swap:   16777212 total,  14831940 free
Timestamp of repository gentoo: Mon, 12 Oct 2015 12:00:01 +0000
sh bash 4.3_p39
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p39::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.10::gentoo, 3.4.3::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.17::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.18::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

NameOfYourOverlay
    location: /usr/local/portage
    masters: gentoo

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bzip2 cli cracklib crypt cxx dri fortran gdbm iconv ipv6 mmx mmxext modules multilib ncurses nls nptl openmp pam pcre readline seccomp session sse sse2 ssl tcpd unicode zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

app-portage/gentoolkit-0.3.0.9-r2::gentoo was built with the following:
USE="" ABI_X86="64" PYTHON_TARGETS="python2_7 python3_4 -pypy -python3_3"

occam / # emerge -pqv '=app-portage/gentoolkit-0.3.0.9-r2::gentoo'
[ebuild   R   ] app-portage/gentoolkit-0.3.0.9-r2  PYTHON_TARGETS="python2_7 python3_4 (-pypy) -python3_3"
Comment 2 Paul Varner (RETIRED) gentoo-dev 2015-10-22 16:16:22 UTC
Fixed in the gentoolkit repository: https://gitweb.gentoo.org/proj/gentoolkit.git/commit/?id=1537ab55fffda2348753ce26d6d7c11de49d9032

This can be tested with gentoolkit-9999